package com.ruoyi.ems.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 光伏并网计量光伏并网计量-小时对象 adm_ems_pv_supply_h
 *
 * @author ruoyi
 * @date 2024-08-02
 */
public class AdmEmsPvSupplyH extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    @Excel(name = "园区代码")
    private String areaCode;

    /**
     * 设施代码
     */
    @Excel(name = "设施代码")
    private String facsCode;

    /**
     * 日期 yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 时间 HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间 HH:mm:ss", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /**
     * 时间序列
     */
    @Excel(name = "时间序列")
    private Long timeIndex;

    /**
     * 计量类型 1：峰电计量  2：谷电计量
     */
    @Excel(name = "计量类型 1：峰电计量  2：谷电计量")
    private Long meterType;

    /**
     * 单位电价（1度电）
     */
    @Excel(name = "单位电价", readConverterExp = "1=度电")
    private Double meterUnitPrice;

    /**
     * 用电读数
     */
    @Excel(name = "用电读数")
    private Double elecReading;

    /**
     * 发电量 单位：kW-h（千瓦时）
     */
    @Excel(name = "发电量 单位：kW-h", readConverterExp = "千=瓦时")
    private Double elecQuantity;

    /**
     * 发电收益 单位: ￥（元）
     */
    @Excel(name = "发电收益 单位: ￥", readConverterExp = "元=")
    private Double elecEarn;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Long getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Long timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Long getMeterType() {
        return meterType;
    }

    public void setMeterType(Long meterType) {
        this.meterType = meterType;
    }

    public Double getMeterUnitPrice() {
        return meterUnitPrice;
    }

    public void setMeterUnitPrice(Double meterUnitPrice) {
        this.meterUnitPrice = meterUnitPrice;
    }

    public Double getElecReading() {
        return elecReading;
    }

    public void setElecReading(Double elecReading) {
        this.elecReading = elecReading;
    }

    public Double getElecQuantity() {
        return elecQuantity;
    }

    public void setElecQuantity(Double elecQuantity) {
        this.elecQuantity = elecQuantity;
    }

    public Double getElecEarn() {
        return elecEarn;
    }

    public void setElecEarn(Double elecEarn) {
        this.elecEarn = elecEarn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("areaCode", getAreaCode()).append("facsCode", getFacsCode()).append("date", getDate()).append("time", getTime()).append("timeIndex", getTimeIndex()).append("meterType", getMeterType()).append("meterUnitPrice", getMeterUnitPrice()).append("elecReading", getElecReading()).append("elecQuantity", getElecQuantity()).append("elecEarn", getElecEarn()).toString();
    }
}
